000019380 - Which include files are needed for RSA BSAFE SSL-C when porting from OpenSSL?

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 22, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000019380
Applies ToRSA BSAFE SSL-C 2.0.1
IssueWhich include files are needed for RSA BSAFE SSL-C when porting from OpenSSL?
ResolutionApplications that use OpenSSL and need to be ported to use RSA BSAFE SSL-C may already be using some of the following OpenSSL include files:

#include   <rsa.h>
#include   <crypto.h>
#include   <x509.h>
#include   <pem.h>
#include   <ssl.h>
#include   <err.h>

For applications that use SSL-C, the following three include files should suffice for most SSL-C applications:

#include <sslc.h>
#include <e_os.h>
#include <cert.h>
Legacy Article IDa8673

Attachments

    Outcomes